> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/set-rdmprivilegedaccount.md).

# Set-RDMPrivilegedAccount

### Übersicht

RDM-privilegiertes Konto festlegen.

### Syntax

#### UsernamePassword

```
Set-RDMPrivilegedAccount [[-Username] <string>] [[-Domain] <string>] [[-Password] <securestring>]
 [[-AlwaysAskPassword] <bool>] [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

#### FromPrivilegedAccount

```
Set-RDMPrivilegedAccount [[-Session] <PSConnection>] [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

### Beschreibung

RDM-privilegiertes Konto festlegen. Legen Sie den Typ Benutzername/Passwort direkt fest oder ändern Sie das Ergebnis von Get-RDMPrivilegedAccount. Um ein Mitglied, das mit Safe beginnt, zu ändern, legen Sie die Eigenschaft ohne das Safe fest. Unter Windows verhindert die Richtlinie DisableMyPrivilegedAccount die Verwendung dieses Cmdlets.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> $pwd = Read-Host -AsSecureString; Set-RDMPrivilegedAccount username domain $pwd
```

RDM-privilegiertes Konto des Typs Benutzername/Passwort festlegen.

#### Beispiel 2

```powershell
PS C:\> $privAcc = Get-RDMPrivilegedAccount; $privAcc.Credentials.SecretServerPassword = (ConvertTo-SecureString -AsPlainText 'aPassword'); $privAcc.Credentials.SecretServerUsername = 'aPassword'; $privAcc.Credentials.SecretServerDomain = 'aDomain'; Set-RDMPrivilegedAccount -Session $privAcc
```

Das privilegierte Konto abrufen. Die Werte für Domäne, Passwort und Benutzername des Secret Server ändern. Die Änderungen speichern. Die Passwortänderung ist an der Wertänderung des Feldes SafeSecretServerPassword erkennbar.

### Parameter

#### -AlwaysAskPassword

Legt die Option „Immer nach Passwort fragen“ im privilegierten Konto fest

```yaml
Type: System.Nullable`1[System.Boolean]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 3
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Domain

Legt die Domäne im privilegierten Konto fest

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Mit Vorsicht zu verwendender Schalter. Er beantwortet automatisch Eingabeaufforderungen mit Ja/Nein-, Ja/Nein/Abbrechen- oder OK/Abbrechen-Fragen. Bei mehreren Eingabeaufforderungen können mehrere Werte an diesen Parameter übergeben werden. Hier sind die zulässigen Werte:

* Yes: Nimmt die Eingabeaufforderung an. Deckt die Werte OK und Automatic ab.
* No: Lehnt die Ja/Nein/Abbrechen-Eingabeaufforderung ab. „Cancel“ ist die Ausweichoption, wenn es keine Option „No“ gibt.
* Cancel: Bricht die Ja/Nein/Abbrechen-Eingabeaufforderung ab. „No“ ist die Ausweichoption, wenn es keine Option „Cancel“ gibt.

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Password

Legt das Passwort im privilegierten Konto fest

```yaml
Type: System.Security.SecureString
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Session

Die von Get-RDMPrivilegedAccount erhaltenen Anmeldeinformationen.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: FromPrivilegedAccount
  Position: 0
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Username

Legt den Benutzernamen im privilegierten Konto fest

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 0
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Für weitere Informationen geben Sie „Get-Help Set-RDMPrivilegedAccount -detailed“ ein. Für technische Informationen geben Sie „Get-Help Set-RDMPrivilegedAccount -full“ ein.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/set-rdmprivilegedaccount.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
